<%
  /*------------------------------------------------------------------------ */
  /* %full_filespec:   LoginPolicySequences.jsp~7:ascii:nds#1 %             */
  /* %derived_by:      ggoodwin %                                             */
  /* %date_modified:   Thu Aug 02 13:37:04 2007 %                            */
  /*------------------------------------------------------------------------ */
  /* Copyright (c) 2002 Novell, Inc.  All rights reserved.                   */
  /*------------------------------------------------------------------------ */
  /* The following variables are expected from the servlet:                  */
  /*   PKI.n.Nickname          - Nickname of the nth certificate.            */
  /*   PKI.n.Issuer            - Issuer of the nth certificate.              */
  /*   PKI.n.Status            - Status of the nth certificate.              */
  /*   PKI.n.PrivateKey.Status - Private key status of the nth certificate.  */
  /*   PKI.n.SubjectName       - Subject name of the nth certificate.        */
  /*   PKI.n.EffectiveDate     - Effective date of the nth certificate.      */
  /*   PKI.n.ExpirationDate    - Expiration date of the nth certificate.     */
  /*   PKI.n.Certificate.Base64Certificate - Base 64 encoded data.           */
  /*   PKI.FullyTyped.Name     - the user"s fully typed dn                   */
  /*------------------------------------------------------------------------ */
%>

<%@ page   pageEncoding = "utf-8"                               %>
<%@ page   contentType  = "text/html;charset=utf-8"             %>
<%@ page   import       = "com.novell.emframe.dev.eMFrameUtils,
                           com.novell.admin.nmas.NMASConstants" %>
<%@ page   import       = "com.novell.emframe.dev.D"            %>
<%@ page   import       = "java.util.List"                      %>
<%@ taglib uri          = "/WEB-INF/iman.tld"   prefix = "iman" %>
<%@ taglib uri          = "/WEB-INF/c.tld"      prefix = "c"    %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<iman:stringtable bundle = "DevResources" />
<iman:stringtable bundle = "FwResources"  />
<iman:stringtable bundle = "<%= NMASConstants.NMAS_RESOURCES %>" />

<%
   try
   {
%>
<html>
   <head>
      <title>
      </title>

      <iman:stylesheet />


      <iman:eMFrameScripts />
      <iman:osScripts />
      <iman:pageScripts />

      <script language = "JavaScript">

         function pageInit()
         {
            var iFrame = document.getElementById( "nmasContent" )

            if ( null != iFrame )
            {
               var url;

               url  = window.location.protocol + "//";
               url += window.location.hostname;

               if ( window.location.port != "" )
               {
                  url += ":";
                  url += window.location.port;
               }

               url += "/nps/servlet/frameservice";
               url += "?NPAction=Launch";
               url += "&launch=NMAS.LoginSequenceConfiguration";
               url += "&launcher=<%= request.getAttribute( "taskId" ) %>";
               url += "&lifecycle=new";
               url += "&NPService=fw.LaunchService";
               url += "&target=<%= request.getAttribute( "target" ) %>";

               iFrame.src = url;
            }
         }

      </script>

   </head>
      <body
         onLoad   = "pageInit()" >

         <form
            name   = "MainForm"
            method = "post"
            action = "webacc" >

            <iman:bookvars />

            <iframe
               frameborder  = "0"
               width        = "100%"
               height       = "100%"
               name         = "nmasContent"
               id           = "nmasContent"
               marginheight = "0"
               marginwidth  = "0"
               style        = "padding: 0px"
               src          = "webacc?taskId=dev.Empty&merge=fw.Empty" >
            </iframe>
      </form>
   </body>
</html>
<%
   }
   catch ( Exception e )
   {
      D.log( e );
%>
      Exception occured processing PropertyPage_UserCertificates.jsp
<%
   }
%>
