<%
  /*------------------------------------------------------------------------ */
  /* %full_filespec:   LMEnhancedPswdPolicyGenRulesPage.jsp~1:ascii:nds#1 %                      */
  /* %derived_by:      ggoodwin %                                             */
  /* %date_modified:   Thu Feb 05 11:56:48 2004 %                            */
  /*------------------------------------------------------------------------ */
  /* Copyright (c) 2002 Novell, Inc.  All rights reserved.                   */
  /*------------------------------------------------------------------------ */%>

<%@ page   pageEncoding = "utf-8"                                  %>
<%@ page   contentType  = "text/html;charset=utf-8"                %>
<%@ page   import       = "com.novell.emframe.dev.D,
                           com.novell.plugin.imanutil.HttpRequest,
                           com.novell.admin.nmas.WidgetID"               %>
<%@ page   import       = "com.novell.emframe.dev.eMFrameUtils"    %>
<%@ taglib uri          = "/WEB-INF/iman.tld"      prefix = "iman" %>
<%@ taglib uri          = "/WEB-INF/c.tld"         prefix = "c"    %>
<%@ taglib uri          = "/WEB-INF/util.tld"      prefix = "nmas" %>

<iman:stringtable bundle = "NMASResources" />

<%
   try
   {
      HttpRequest httpRequest = new HttpRequest( request );

      int minPasswordLength   = httpRequest.getAttributeAsInt( WidgetID.MINIMUM_PASSWORD_LENGTH,   0 );
      int maxPasswordLength   = httpRequest.getAttributeAsInt( WidgetID.MAXIMUM_PASSWORD_LENGTH,   0 );
      int maxRepeatedChars    = httpRequest.getAttributeAsInt( WidgetID.MAXIMUM_REPEATED_CHARS,    0 );
      int maxConsecutiveChars = httpRequest.getAttributeAsInt( WidgetID.MAXIMUM_CONSECUTIVE_CHARS, 0 );

      int minPasswordLengthLB = httpRequest.getAttributeAsInt( WidgetID.MINIMUM_PASSWORD_LENGTH_LB, 0 );
      int minPasswordLengthUB = httpRequest.getAttributeAsInt( WidgetID.MINIMUM_PASSWORD_LENGTH_UB, 0 );

      int maxPasswordLengthLB = httpRequest.getAttributeAsInt( WidgetID.MAXIMUM_PASSWORD_LENGTH_LB, 0 );
      int maxPasswordLengthUB = httpRequest.getAttributeAsInt( WidgetID.MAXIMUM_PASSWORD_LENGTH_UB, 0 );

      int maxRepeatedCharsLB  = httpRequest.getAttributeAsInt( WidgetID.MAXIMUM_REPEATED_CHARS_LB, 0 );
      int maxRepeatedCharsUB  = httpRequest.getAttributeAsInt( WidgetID.MAXIMUM_REPEATED_CHARS_UB, 0 );

      int maxConsecutiveCharsLB = httpRequest.getAttributeAsInt( WidgetID.MAXIMUM_CONSECUTIVE_CHARS_LB, 0 );
      int maxConsecutiveCharsUB = httpRequest.getAttributeAsInt( WidgetID.MAXIMUM_CONSECUTIVE_CHARS_UB, 0 );
%>
<html>
   <head>
      <title></title>

      <nmas:stylesheet moduleName = "NMAS" />
      <iman:stylesheet />

      <nmas:utilScripts     moduleName = "NMAS" />

      <script language="JavaScript">
      <!--
         function onPageLoad()
         {
            utilPositionFooterDiv('headerDiv','bodyDiv','footerDiv');

            utilSetFooterButtons(
               window.okButton |
               window.applyButton |
               window.cancelButton );
         }

         function isPageValid() // called when user leaves this page or applies changes
         {
            return true;
         }

         function validateMinPasswordLength()
         {
            if ( !validateIntegerField(
               utilGetElementByName( "<%= WidgetID.MINIMUM_PASSWORD_LENGTH %>" ),
               <%= minPasswordLengthLB %>,
               <%= minPasswordLengthUB %> ))
            {
               utilSetElementFocus( "<%= WidgetID.MINIMUM_PASSWORD_LENGTH %>" );
               return false;
            }

            return true;
         }

         function validateMaxPasswordLength()
         {
            if ( !validateIntegerField(
               utilGetElementByName( "<%= WidgetID.MAXIMUM_PASSWORD_LENGTH %>" ),
               <%= maxPasswordLengthLB %>,
               <%= maxPasswordLengthUB %> ))
            {
               utilSetElementFocus( "<%= WidgetID.MAXIMUM_PASSWORD_LENGTH %>" );
               return false;
            }

            return true;
         }

         function validateMaxRepeatedChars()
         {
            if ( !validateIntegerField(
               utilGetElementByName( "<%= WidgetID.MAXIMUM_REPEATED_CHARS %>" ),
               <%= maxRepeatedCharsLB %>,
               <%= maxRepeatedCharsUB %> ))
            {
               utilSetElementFocus( "<%= WidgetID.MAXIMUM_REPEATED_CHARS %>" );
               return false;
            }

            return true;
         }

         function validateMaxConsecutiveChars()
         {
            if ( !validateIntegerField(
               utilGetElementByName( "<%= WidgetID.MAXIMUM_CONSECUTIVE_CHARS %>" ),
               <%= maxConsecutiveCharsLB %>,
               <%= maxConsecutiveCharsUB %> ))
            {
               utilSetElementFocus( "<%= WidgetID.MAXIMUM_CONSECUTIVE_CHARS %>" );
               return false;
            }

            return true;
         }
      //-->
      </script>
   </head>

   <body
      onResize = "utilPositionFooterDiv('headerDiv','bodyDiv','footerDiv')"
      onLoad   = "onPageLoad()"
      style    = "overflow: hidden" >

      <form name = "Form" method = "post" action = "webacc">

         <nmas:frameVars />
         <nmas:pageHeader >

            <table>
               <tr>
                  <td colspan = "3" class = "tablesubhead1">
                     <iman:string key = "NMAS.EnhancedPswdPolicy.PasswordLength" />
                  </td>
               </tr>
               <tr>
                  <td>
                     <iman:string key = "NMAS.EnhancedPswdPolicy.MinPasswordLength" />
                  </td>
                  <td>
                     <input
                        type      = "text"
                        name      = "<%= WidgetID.MINIMUM_PASSWORD_LENGTH %>"
                        id        = "<%= WidgetID.MINIMUM_PASSWORD_LENGTH %>"
                        value     = "<%= minPasswordLength %>"
                        style     = "padding-left:3;padding-right:3;"
                        size      = "5"
                        maxlength = "3"
                        onChange  = "return validateMinPasswordLength();" />
                  </td>
                  <td>
                     <iman:spinner elementId = "<%= WidgetID.MINIMUM_PASSWORD_LENGTH %>" />
                  </td>
               </tr>
               <tr>
                  <td>
                     <iman:string key = "NMAS.EnhancedPswdPolicy.MaxPasswordLength" />
                  </td>
                  <td>
                     <input
                        type      = "text"
                        name      = "<%= WidgetID.MAXIMUM_PASSWORD_LENGTH %>"
                        id        = "<%= WidgetID.MAXIMUM_PASSWORD_LENGTH %>"
                        value     = "<%= maxPasswordLength %>"
                        style     = "padding-left:3;padding-right:3;"
                        size      = "5"
                        maxlength = "3"
                        onChange  = "return validateMaxPasswordLength();" />
                  </td>
                  <td>
                     <iman:spinner elementId = "<%= WidgetID.MAXIMUM_PASSWORD_LENGTH %>" />
                  </td>
               </tr>
               <tr>
                  <td height = "16" align = "left" valign = "middle" colspan = "3" >
                     &nbsp;
                  </td>
               </tr>
               <tr>
                  <td colspan = "3" class = "tablesubhead1">
                     <iman:string key = "NMAS.EnhancedPswdPolicy.CharacterBehavior" />
                  </td>
               </tr>
               <tr>
                  <td>
                     <iman:string key = "NMAS.EnhancedPswdPolicy.MaxRepeatedChars" />
                  </td>
                  <td>
                     <input
                        type      = "text"
                        name      = "<%= WidgetID.MAXIMUM_REPEATED_CHARS %>"
                        id        = "<%= WidgetID.MAXIMUM_REPEATED_CHARS %>"
                        value     = "<%= maxRepeatedChars %>"
                        style     = "padding-left:3;padding-right:3;"
                        size      = "5"
                        maxlength = "3"
                        onChange  = "return validateMaxRepeatedChars();" />
                  </td>
                  <td>
                     <iman:spinner elementId = "<%= WidgetID.MAXIMUM_REPEATED_CHARS %>" />
                  </td>
               </tr>
               <tr>
                  <td>
                     <iman:string key = "NMAS.EnhancedPswdPolicy.MaxConsecutiveChars" />
                  </td>
                  <td>
                     <input
                        type      = "text"
                        name      = "<%= WidgetID.MAXIMUM_CONSECUTIVE_CHARS %>"
                        id        = "<%= WidgetID.MAXIMUM_CONSECUTIVE_CHARS %>"
                        value     = "<%= maxConsecutiveChars %>"
                        style     = "padding-left:3;padding-right:3;"
                        size      = "5"
                        maxlength = "3"
                        onChange  = "return validateMaxConsecutiveChars();" />
                  </td>
                  <td>
                     <iman:spinner elementId = "<%= WidgetID.MAXIMUM_CONSECUTIVE_CHARS %>" />
                  </td>
               </tr>
            </table>
         </nmas:pageHeader>
      </form>
   </body>
</html>
<%
   }
   catch ( Exception e )
   {
      D.log( e );
%>
      Exception occured processing PropertyPage_LoginMethod_EnhancedPswd_GeneralRules.jsp
<%
   }
%>
