<%
  /*------------------------------------------------------------------------ */
  /* %full_filespec:   WizardPage_SAMLMethod_Affiliate.jsp~2:ascii:iman_plg#1 %              */
  /* %derived_by:      ggoodwin %                                            */
  /* %date_modified:   Thu Jul 20 13:10:05 2006 %                            */
  /*------------------------------------------------------------------------ */
  /* Copyright (c) 2002 Novell, Inc.  All rights reserved.                   */
  /*------------------------------------------------------------------------ */

  /* Make the global definitions required for all PKI Wizard template files  */
  /* This includes STRINGTABLE"s, ...                                        */
%>

<%@ page   pageEncoding = "utf-8"                                        %>
<%@ page   contentType  = "text/html;charset=utf-8"                      %>
<%@ page   import       = "com.novell.emframe.dev.D"                     %>
<%@ page   import       = "com.novell.plugin.imanutil.HttpRequest"       %>
<%@ page   import       = "com.novell.plugin.imanutil.constants.UIConst" %>
<%@ page   import       = "com.novell.plugin.imanutil.StringUtil"        %>
<%@ page   import       = "com.novell.plugin.imanutil.UIWizard"          %>
<%@ page   import       = "com.novell.admin.nmas.NMASConstants"          %>
<%@ taglib uri          = "/WEB-INF/iman.tld"            prefix = "iman" %>
<%@ taglib uri          = "/WEB-INF/c.tld"               prefix = "c"    %>
<%@ taglib uri          = "/WEB-INF/util.tld"            prefix = "nmas" %>

<iman:stringtable bundle = "NMASResources" />

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<%
   try
   {
      boolean isWizardPage;
      String  affiliateName;
      String  providerID;
      String  trustedCertDN;
      String  trustedRootDN;
      int     validBefore;
      int     validAfter;
      boolean checkCRL;

      HttpRequest httpRequest = new HttpRequest( request );

      isWizardPage  = httpRequest.hasAttribute         ( UIConst.PARAM_WIZARD                          );
      affiliateName = httpRequest.getAttributeAsString ( NMASConstants.PARAM_AFFILIATE_NAME            );
      providerID    = httpRequest.getAttributeAsString ( NMASConstants.PARAM_PROVIDER_ID               );
      trustedCertDN = httpRequest.getAttributeAsString ( NMASConstants.PARAM_TRUSTED_CERT_DN           );
      trustedRootDN = httpRequest.getAttributeAsString ( NMASConstants.PARAM_TRUSTED_ROOT_CONTAINER_DN );
      validBefore   = httpRequest.getAttributeAsInt    ( NMASConstants.PARAM_VALID_BEFORE, 0           );
      validAfter    = httpRequest.getAttributeAsInt    ( NMASConstants.PARAM_VALID_AFTER , 0           );
      checkCRL      = httpRequest.getAttributeAsBoolean( NMASConstants.PARAM_CHECK_CRL,    false       );
%>
<html>
   <head>
      <title>
      </title>

      <META http-equiv= "content-type" content= "text/html;charset=iso-8859-1"/>

      <nmas:stylesheet moduleName = "NMAS" />
      <iman:stylesheet />

      <iman:eMFrameScripts />
      <iman:pageScripts    />
      <iman:osScripts      />
      <iman:validateNumberScripts />

      <nmas:utilScripts moduleName = "NMAS" />

      <script language= "JavaScript">
         <!--
         function onPageLoad()
         {
            utilPositionFooterDiv('headerDiv','bodyDiv','footerDiv');

<%
      if ( isWizardPage )
      {
%>
            utilSetFooterButtons(
               window.backDisabledButton |
               window.finishButton |
               window.cancelButton );
<%
      }
      else
      {
%>
            utilSetFooterButtons(
               window.okButton |
               window.applyButton |
               window.cancelButton );
<%
      }
%>
            returnFromOS();
         }

         function isPageValid()
         {
<%
      if ( isWizardPage )
      {
%>
            if ( utilIsElementValueEmpty( "<%= NMASConstants.PARAM_AFFILIATE_NAME %>" ))
            {
               alert( "Please specify affilicate name" );

               utilSetElementFocus( "<%= NMASConstants.PARAM_AFFILIATE_NAME %>" );
               return false;
            }
<%
      }
%>
             return true;
         }

         //-->
      </script>

   </head>

   <body
      onResize = "utilPositionFooterDiv('headerDiv','bodyDiv','footerDiv')"
      onLoad   = "onPageLoad()"
      style    = "overflow: hidden" >

      <form
         name     = "Wiz_MainForm"
         method   = "post"
         onSubmit = "return( false )"
         action   = "<c:out value = "${ContextPath}"/>/servlet/frameservice" >

         <nmas:frameVars  />
         <nmas:pageHeader wizard = "<%= isWizardPage %>" >

         <div class = "margintop1">
            <table cellspacing = "0" >
<%
   if ( isWizardPage )
   {
%>
               <tr>
                  <td align = "right" >
                     <label><iman:string key = "NMAS.FieldLabel.LoginSequenceName" /></label>&nbsp;
                  </td>
                  <td colspan = "3">
                     <input
                        type      = "text"
                        name      = "<%= NMASConstants.PARAM_AFFILIATE_NAME %>"
                        id        = "<%= NMASConstants.PARAM_AFFILIATE_NAME %>"
                        size      = "50"
                        maxlength = "64"
                        value     = "<%= affiliateName %>" />
                  </td>
               </tr>
<%
   }
   else
   {
   }
%>
               <tr>
                  <td align = "right">
                     <label>Provider ID:</label>&nbsp;
                  </td>
                  <td colspan = "3" >
                     <input
                        type      = "text"
                        name      = "<%= NMASConstants.PARAM_PROVIDER_ID %>"
                        id        = "<%= NMASConstants.PARAM_PROVIDER_ID %>"
                        size      = "90"
                        maxlength = "256"
                        value     = "<%= providerID %>" />
                  </td>
               </tr>
               <tr>
                  <td align = "right">
                     <label>Trusted Certificate:</label>&nbsp;
                  </td>
                  <td colspan = "3" >
                     <input
                        type      = "text"
                        name      = "<%= NMASConstants.PARAM_TRUSTED_CERT_DN %>"
                        id        = "<%= NMASConstants.PARAM_TRUSTED_CERT_DN %>"
                        size      = "90"
                        maxlength = "256"
                        value     = "<%= trustedCertDN %>" /><iman:os
                           control     = "<%= NMASConstants.PARAM_TRUSTED_CERT_DN %>"
                           history     = "true"
                           multiSelect = "false"
                           typeFilter  = "NDSPKI:Trusted Root Object" />
                  </td>
               </tr>
               <tr>
                  <td align = "right">
                     <label>Trusted Root Container:</label>&nbsp;
                  </td>
                  <td colspan = "3" >
                     <input
                        type      = "text"
                        name      = "<%= NMASConstants.PARAM_TRUSTED_ROOT_CONTAINER_DN %>"
                        id        = "<%= NMASConstants.PARAM_TRUSTED_ROOT_CONTAINER_DN %>"
                        size      = "90"
                        maxlength = "256"
                        value     = "<%= trustedRootDN %>" /><iman:os
                           control     = "<%= NMASConstants.PARAM_TRUSTED_ROOT_CONTAINER_DN %>"
                           history     = "true"
                           multiSelect = "false"
                           typeFilter  = "NDSPKI:Trusted Root" />
                  </td>
               </tr>
               <tr>
                  <td align = "right">
                     <label>Valid before:</label>&nbsp;
                  </td>
                  <td>
                     <input
                        type     = "text"
                        name     = "<%= NMASConstants.PARAM_VALID_BEFORE %>"
                        id       = "<%= NMASConstants.PARAM_VALID_BEFORE %>"
                        value    = "<%= validBefore %>"
                        size     = "5"
                        onChange = 'if (!validateIntegerField( <%= NMASConstants.PARAM_VALID_BEFORE %>, 0, <%= 60 * 60 *24 %> )){ this.focus(); return false; }'
                        style    = "text-align: right" />
                  </td>
                  <td>
                     <iman:spinner
                        elementId = "<%= NMASConstants.PARAM_VALID_BEFORE %>" />
                  </td>
                  <td width = "100%">seconds&nbsp;</td>
               </tr>
               <tr>
                  <td align = "right">
                     <label>Valid after:</label>&nbsp;
                  </td>
                  <td>
                     <input
                        type     = "text"
                        name     = "<%= NMASConstants.PARAM_VALID_AFTER %>"
                        id       = "<%= NMASConstants.PARAM_VALID_AFTER %>"
                        value    = "<%= validAfter %>"
                        size     = "5"
                        onChange = 'if (!validateIntegerField( <%= NMASConstants.PARAM_VALID_AFTER %>, 0, <%= 60 * 60 *24 %> )){ this.focus(); return false; }'
                        style    = "text-align: right" />
                  </td>
                  <td>
                     <iman:spinner
                        elementId = "<%= NMASConstants.PARAM_VALID_AFTER %>" />
                  </td>
                  <td width = "100%">seconds&nbsp;</td>
               </tr>
               <tr>
                  <td align = "right">
                  </td>
                  <td colspan = "3"><input
                     type  = "checkbox"
                     name  = "<%= NMASConstants.PARAM_CHECK_CRL %>"
                     id    = "<%= NMASConstants.PARAM_CHECK_CRL %>"
<%
   if ( checkCRL )
   {
%>
                     checked
<%
   }
%>
                     value = "true" />&nbsp;<label>Check CRL</label></td>
               </tr>
            </table>
         </div>
         </nmas:pageHeader>
      </form>
      <iman:osFooter />
   </body>
</html>
<%
   }
   catch ( Exception e )
   {
      D.log( e );
%>
      Exception occured processing JSP page NMAS/WizardPage_SAMLMethod_Affiliate.jsp
<%
   }
%>
