<%@  page pageEncoding="utf-8" contentType="text/html;charset=utf-8" import="com.novell.webaccess.common.JSPConduit, com.novell.emframe.dev.eMFrameUtils" %>
<%   JSPConduit c = JSPConduit.getJSPConduit(request);
  /*------------------------------------------------------------------------ */
  /* %full_filespec:   LMDeleteSubset.jsp~3:ascii:nds#1 %                     */
  /* %derived_by:      swright %                                             */
  /* %date_modified:   Wed Mar 26 16:07:46 2003 %                            */
  /*------------------------------------------------------------------------ */
  /* Copyright (c) 2002 Novell, Inc.  All rights reserved.                   */
  /*------------------------------------------------------------------------ */%>

<jsp:include page='<%= c.getPath("NMAS/NMASIncludes_inc.jsp") %>' flush="true" />
<% try  { %><HTML>
	<head>
		<LINK rel="stylesheet" href="<%= c.getModulesUrl() %>/dev/css/hf_style.css" type="text/css">
		<script language="JavaScript">

			<!-- Hide JavaScript from non-compliant browsers.

			<%/*------------------------------------------------------------------ */
			  /* Currently not used; required by eMFrame.                          */
			  /*------------------------------------------------------------------ */%>

			function pageInit()
			{
				return true;
			}

			<%/*------------------------------------------------------------------ */
			  /* Simply return true.                                               */
			  /*------------------------------------------------------------------ */%>

			function isPageValid()
			{
				return true;
			}

			<%/*------------------------------------------------------------------ */
			  /* Go back to the login method selection list.                       */
			  /*------------------------------------------------------------------ */%>

			function handleCancel()
			{
				document.DummyForm.elements["merge"].value = "NMAS.LMSelectFromList";
				document.DummyForm.elements["nextState"].value = "initialState";
				document.DummyForm.submit();
			}

			<%/*------------------------------------------------------------------ */
			  /* Proceed with the delete operation.                                */
			  /*------------------------------------------------------------------ */%>

			function handleDelete()
			{
				<%/* Handle multiple selection by extracting each selected item. */%>

				var delArrayLength = document.ConfirmForm.elements['FreeMethods.length'].value;
				var delArray = new Array( delArrayLength );
				for ( var i = 0; i < delArrayLength; i++ )
				{
					delArray[ i ] = document.ConfirmForm.elements['FreeMethods.' + i ].text ;
				}
				document.DummyForm.elements["merge"].value = "NMAS.LMDeleteResults";
				document.DummyForm.elements["nextState"].value = "allDeletable";
				document.DummyForm.elements["SelectedMethods"].value = pack( delArray );
				document.DummyForm.submit();
			}

			// End of hidden JavaScript -->

		</script>

	</head>

	<body onLoad="return pageInit()">
		<form name="ConfirmForm" method="post" action="webacc">

			<%/*------------------  Begin WEBACCESS variables  ------------------- */
			   c.set("i", "0");
			   while (c.lt(c.var("i"), c.var("FreeMethods.length"))) { %>
				<input type="hidden" name="FreeMethods.<%= c.var("i") %>" value="<%= c.var("FreeMethods."+c.var("i")) %>">
				<% c.inc("i");
			   } %>
			<input type="hidden" name="FreeMethods.length" value="<%= c.var("FreeMethods.length") %>">

		   <% c.set("TaskHeader.title", c.string("NMAS.LoginMethods"));
		      c.set("TaskHeader.iconUrl", "dir/SAS_NMAS_Login_Method.gif");
			   c.set("TaskHeader.iconAlt", c.string("NMAS.LoginMethods"));
		      c.set("TaskHeader.HelpWindowWidth", "690");
		      c.set("TaskHeader.HelpWindowHeight", "500"); %>
		   <jsp:include page='<%= c.getPath("dev/TaskHeader_inc.jsp") %>' flush="true" />

			<%/*----------------------  Begin form content  ---------------------- */
			  /* Warn the user that only part of the operation can be completed.   */%>

			<div class="head5tm6">
				<IMG
					height="32"
				 	width="32"
				 	src="<%= c.getPath("dev/images/notice32.gif") %>"
					align="absmiddle"
				/>
				<span class="goldtype1"><%= c.string("NMAS.NoticeTag") %></span>
				<%= c.string("NMAS.LMDelete.Subset.Notice") %>
			</div>

			<%/* Show which of the selected login methods can be deleted.          */%>

			<div class="margintop3">
				<span class="formdescriptextml0">
					<% if (c.gt(c.var("FreeMethods.length"), "1")) { %>
						<%= c.string("NMAS.LMDelete.Subset.NotInUse.Plural") %>
					<% } else { %>
						<%= c.string("NMAS.LMDelete.Subset.NotInUse.Singular") %>
					<% } %>
				</span>
			</div>
			<div class="margintop3"></div>

			<table cellspacing="0" cellpadding="4" border="0">
			<% c.set("i", "0");
			   while (c.lt(c.var("i"), c.var("FreeMethods.length"))) { %>
				<tr class="smalltext">
				<td>
					<IMG
						width="20"
					 	src="<%= c.getModulesUrl() %>/NMAS/images/spacer.gif"
						align="absmiddle"
					/>
				</td>
				<% if ((c.mod(c.var("i"), "2")).equals("0")) { %>
					<td nowrap align="left" valign="top" bgcolor="#efeee9">
				<% } else { %>
					<td nowrap align="left" valign="top">
				<% } %>
					<IMG
					 	src="<%= c.getModulesUrl() %>/NMAS/images/bullet1.gif"
						align="absmiddle"
					/>
				</td>
				<% if ((c.mod(c.var("i"), "2")).equals("0")) { %>
					<td nowrap align="left" valign="top" bgcolor="#efeee9">
				<% } else { %>
					<td nowrap align="left" valign="top">
				<% } %>
					<%= c.var("FreeMethods."+c.var("i")) %>
				</td>
				</tr>
				<% c.inc("i");
			   } %>
			</table>
			<br>

			<%/* Show which of the selected login methods cannot be deleted.       */%>

			<div class="margintop3">
				<span class="formdescriptextml0">
					<% if (c.gt(c.var("UsedMethods.length"), "1")) { %>
						<%= c.string("NMAS.LMDelete.Subset.StillInUse.Plural") %>
					<% } else { %>
						<%= c.string("NMAS.LMDelete.Subset.StillInUse.Singular") %>
					<% } %>
				</span>
			</div>
			<div class="margintop3"></div>

			<jsp:include page='<%= c.getPath("NMAS/LMUsedTable_inc.jsp") %>' flush="true" />

		</form>

		<form name="DummyForm" method="post" action="webacc">
			<input type="hidden" name="taskId" value="<%= c.var("taskId") %>">
			<input type="hidden" name="User.context" value="<%= c.var("User.context") %>">
			<input type="hidden" name="eDir$target" value="<%= c.var("eDir$target") %>">
			<input type="hidden" name="error" value="<%= c.var("error") %>">
			<input type="hidden" name="nextState" value="<%= c.var("nextState") %>">
			<input type="hidden" name="merge" value="<%= c.var("merge") %>">
			<input type="hidden" name="SelectedMethods" value="">
		</form>

		<br>
		<table width="100%" border="0" cellspacing="0" cellpadding="3">
			<tr>
				<td class="ruleabove">
					<% if (c.var("FreeMethods.length").equals("0") == false) { %>
						<a href="javascript:handleDelete()"><img title="<%= c.string("NMAS.DeleteLoginMethod") %>" alt="<%= c.string("Button.Continue.alt") %>" src="<%= c.getModulesUrl() + "/dev/images/" + c.string("Button.Continue.image") %>" border="0"/></a>
					<% } %>
					<a href="javascript:handleCancel()"><img name="Cancel" alt="<%= c.string("Button.Cancel.alt") %>" src="<%= c.getModulesUrl() + "/dev/images/" + c.string("Button.Cancel.image") %>" border="0"></a>
				</td>
			</tr>
		</table>
	</body>
</HTML> <% } catch (Exception e) { e.printStackTrace(); %>Exception occured processing JSP page<% } %>
