<%@ page   pageEncoding = "utf-8"                               %>
<%@ page   contentType  = "text/html;charset=utf-8"             %>
<%@ page   import       = "com.novell.emframe.dev.eMFrameUtils" %>
<%@ page   import       = "com.novell.emframe.dev.D"            %>
<%@ taglib uri          = "/WEB-INF/iman.tld"   prefix = "iman" %>
<%@ taglib uri          = "/WEB-INF/c.tld"      prefix = "c"    %>
<%@ taglib uri          = "/WEB-INF/util.tld"   prefix = "nmas" %>

<%
  /*------------------------------------------------------------------------ */
  /* %full_filespec:   LMSelectFromList.jsp~8:ascii:nds#1 %                  */
  /* %date_modified:   Wed Feb 08 16:53:41 2006 %                            */
  /* %derived_by:      ggoodwin %                                             */
  /*------------------------------------------------------------------------ */
  /* Copyright (c) 2002 Novell, Inc.  All rights reserved.                   */
  /*------------------------------------------------------------------------ */
%>

<iman:stringtable bundle = "NMASResources" />
<iman:include page = "NMAS/NMASIncludes_inc.jsp" />

<%
   try
   {
%>
<html>
   <head>

      <nmas:stylesheet moduleName = "NMAS" />
      <iman:stylesheet />

      <nmas:dataTableScripts />

      <script language = "JavaScript">

         <!-- Hide JavaScript from non-compliant browsers.

         <%/*--------------------------------------------------------------- */
           /* Set the focus on the first element of the login method list.   */
           /*--------------------------------------------------------------- */%>

         function pageInit()
         {
            <%--
            document.LMSelectForm.elements["LMSelection"].focus();
            if ( document.LMSelectForm.elements["LMSelection"].options.length > 0 )
            {
               document.LMSelectForm.elements["LMSelection"].options[ 0 ].selected = true;
            }
            --%>
         }

         <%/*--------------------------------------------------------------- */
           /* Ensure that at least one login method has been selected, and   */
           /* see if at least one of the selected items is free.  If not,    */
           /* tell the task that none can be deleted.  Is so, then figure    */
           /* out whether they can all be deleted, and tell the task.        */
           /*--------------------------------------------------------------- */%>

         function handleDelete( )
         {
            var delIndex = document.LMSelectForm.elements['LMSelection'].selectedIndex;
            if ( delIndex == -1 )
            {
               <%/* User has to select at least one item from the list.      */%>
               alert( "<iman:toScript><iman:string key = "NMAS.MustSelect" /></iman:toScript>" );
               return;
            }

            <%/* Handle multiple selection by extracting each selected item. */%>
            var delArrayLength = document.LMSelectForm.elements['LMSelection'].options.length;
            var delArray = new Array();
            var srcIndex;
            var dstIndex;
            for ( srcIndex = delArrayLength - 1, dstIndex = 0; srcIndex >= 0; srcIndex-- )
            {
               if ( document.LMSelectForm.elements['LMSelection'].options[ srcIndex ].selected == true )
               {
                  <%/* Add this item to the array.                           */%>
                  delArray[ dstIndex++ ] = document.LMSelectForm.elements['LMSelection'].options[ srcIndex ].text ;
               }
            }

            <%/* Determine what our next state should be.                    */%>
            var tmpNextState = analyzeSelection( delArray );

            <%/* Pack the array and send it back to the servlet.             */%>
            if ( tmpNextState != 'initialState' )
            {
               document.LMSelectForm.elements['nextState'].value = tmpNextState;
               document.LMSelectForm.elements['SelectedMethods'].value = pack( delArray );
               document.LMSelectForm.submit();
            }
         }

         <%/*--------------------------------------------------------------- */
           /* Figure out the nature of the user"s selection, and return the  */
           /* proper state for the servlet when we submit LMSelectForm.      */
           /*--------------------------------------------------------------- */%>

         function analyzeSelection( delArray )
         {
            <%--
            var   nextState = 'noneDeletable';
            var   atLeastOneIsFree = false;
            var   atLeastOneIsUsed = false;

            for ( var i = 0; i < delArray.length; i++ )
            {
               <%/* Find the selected login method in the list of available  */
                 /* login  methods in order to check the status.             */%>

               for ( var j = 0; j < <%= c.var("AvailableMethods.length") %>; j++ )
               {
                  if ( delArray[i] == document.LMDataForm.elements['AvailableMethods.' + j + '.rdn'].value )
                  {
                     <%/* We found the selected login method; now check its  */
                       /* status.                                            */%>

                     if ( "IN_USE" == document.LMDataForm.elements['AvailableMethods.' + j + '.status'].value )
                     {
                        atLeastOneIsUsed = true;
                     }
                     if ( "UNUSED" == document.LMDataForm.elements['AvailableMethods.' + j + '.status'].value )
                     {
                        atLeastOneIsFree = true;
                     }
                  }
               }
            }
            if ( atLeastOneIsFree )
            {
               <%/* At least one of the login methods selected for deletion  */
                 /* is free to be deleted.  Advise the administrator of the  */
                 /* irreversible consequences of this action.                */%>

               if
               (
                  !confirm
                  (
                     "<%= c.toScript(c.string("NMAS.LMDelete.Select.Warning")) %>"
                  )
               )
               {
                  <%/* The administrator cancelled the action; bug out.      */%>
                  nextState = 'initialState';
               }
               else
               {
                  nextState = 'someDeletable';
                  if ( !atLeastOneIsUsed )
                  {
                     nextState = 'allDeletable';
                  }
               }
            }
            return nextState;
            --%>
         }

         <%/*--------------------------------------------------------------- */
           /* Gather all selected items (ensuring that no more than one      */
           /* login method has been selected), set the proper query          */
           /* variables, and submit the request.                             */
           /*--------------------------------------------------------------- */%>

         function handleModify( )
         {
            var selectedIndex = document.LMSelectForm.elements['LMSelection'].options.selectedIndex;
            if ( selectedIndex == -1 )
            {
               <%/* The user has to select at least one item from the list.  */%>

               alert( "<iman:toScript><iman:string key = "NMAS.MustSelect" /></iman:toScript>" );
               return;
            }

            <%/* Disallow multiple selection; start by getting the count of  */
              /* the selected items.                                         */%>

            var selectionLength = document.LMSelectForm.elements['LMSelection'].options.length;
            var selectedCount = 0;
            var selectedMethod = "";
            for ( i = selectionLength - 1; i >= 0; i-- )
            {
               if ( document.LMSelectForm.elements[ 'LMSelection' ].options[ i ].selected == true )
               {
                  selectedMethod = document.LMSelectForm.elements[ 'LMSelection' ].options[ i ].value;
                  selectedCount++;
               }
            }
            if ( selectedCount > 1 )
            {
               <%/* Can"t view or modify more than one at a time; display    */
                 /* an alert.                                                */%>

               alert( "<iman:toScript><iman:string key = "NMAS.ModifyMethod.SelectOnlyOne" /></iman:toScript>" );
               return;
            }

            <%/* Send the selected method back to the servlet.  The task     */
              /* fw.ModifyObject expects a packed array, even for only one   */
              /* object.                                                     */%>

            var modArray = new Array( document.LMSelectForm.elements[ 'LMSelection' ].options[ selectedIndex ].value );
            document.LMModifyForm.elements[ 'eDir$target' ].value = pack( modArray );

            <%/* Check if we are modifying the enhanced password method */%>

            if ( selectedMethod == "Enhanced Password.Authorized Login Methods.Security" )
            {
               document.LMModifyForm.elements[ 'delegate' ].value = "NMAS.EnhancedLoginMethodBook";
            }
            else if ( selectedMethod == "X509 Advanced Certificate.Authorized Login Methods.Security" )
            {
               document.LMModifyForm.elements[ 'delegate' ].value = "NMAS.LoginMethodCertSearchBook";
            }
            else if ( selectedMethod == "X509 Advanced Certificate.Authorized Login Methods.Security" )
            {
               document.LMModifyForm.elements[ 'delegate' ].value = "NMAS.LoginMethodCertSearchBook";
            }
            else if ( selectedMethod == "Universal Smart Card.Authorized Login Methods.Security" )
            {
               document.LMModifyForm.elements[ 'delegate' ].value = "NMAS.LoginMethodCertSearchBook";
            }
            else if ( selectedMethod == "Entrust.Authorized Login Methods.Security" )
            {
               document.LMModifyForm.elements[ 'delegate' ].value = "NMAS.LoginMethodCertSearchBook";
            }

            document.LMModifyForm.submit();
         }

         <%/*--------------------------------------------------------------- */
           /* Simply return true.                                            */
           /*--------------------------------------------------------------- */%>

         function isPageValid()
         {
            return true;
         }

         <%/*--------------------------------------------------------------- */
           /* Exit from this task.                                           */
           /*--------------------------------------------------------------- */%>

         function handleCancel()
         {
            document.CancelForm.submit();
         }

         // End of hidden JavaScript -->

      </script>

   </head>

   <body onLoad="return pageInit()">
      <form name="LMSelectForm" method="post" action="webacc">

         <%/*------------  Begin WEBACCESS variables  ------------- */%>
         <input type="hidden" name="error" value="dev.GenMsg" />
         <input type="hidden" name="nextState" value="" />
         <input type="hidden" name="SelectedMethods" value="" />
         <input type="hidden" name="taskId" value="<c:out value="${taskId}"/>">

         <%--/* Set up the page header.                                        */

         <%--
            c.set("TaskHeader.title", c.string("NMAS.LoginMethods"));
            c.set("TaskHeader.iconUrl", "dir/SAS_NMAS_Login_Method.gif");
            c.set("TaskHeader.iconAlt", c.string("NMAS.LoginMethods"));
            c.set("TaskHeader.helpFile", "NMAS/cs_nmas_login_method_select.html");
            c.set("TaskHeader.HelpWindowWidth", "690");
            c.set("TaskHeader.HelpWindowHeight", "500"); %>
         <jsp:include page='<%= c.getPath("dev/TaskHeader_inc.jsp") %>' flush="true" />
         --%>

         <iman:taskHeader
            titleKey = "NMAS.LoginMethods"
            iconUrl  = "dir/SAS_NMAS_Login_Method.gif"
            helpFile = "NMAS/cs_nmas_login_method_select.html" />

         <%--
         <span class="mediumtext"><iman:string key = "NMAS.SelectLoginMethod.Title" /></span>
         --%>

         <nmas:dataTable
            id                = "methods"
            sourceData        = "${tableData}"
            menuActionHandler = "onHandleMenu"
            titleKey          = "NMAS.LoginMethods" >

            <nmas:columnHeader textKey = "NMAS.Common.Column_Header.Name" />
            <nmas:columnHeader textKey = "NMAS.Common.Column_Header.Type" />
            <nmas:columnHeader textKey = "NMAS.Common.Column_Header.Status" />

            <nmas:menuItem textKey = "NMAS.Common.Menu.New"    id = "New"    />
            <nmas:menuItem textKey = "NMAS.Common.Menu.Delete" id = "Delete" />

         </nmas:dataTable>

         <table name="LMTable" border="0" cellpadding="0" cellspacing="0" width="40%">
            <tr>

               <%/* Create a selection list with all login methods.          */%>

               <td valign="top" width="95%">
                  <%--
                  <select class="smalltext" multiple="multiple" name="LMSelection" size="10" style="width:450">
                  <% c.set("i", "0");
                     while (c.lt(c.var("i"), c.var("AvailableMethods.length"))) { %>
                     <option value="<%= c.var("AvailableMethods." + c.var("i") + ".dn") %>"><%= c.var("AvailableMethods." + c.var("i") + ".rdn") %></option>
                     <% c.inc("i");
                     } %>
                    </select>
                  --%>
               </td>
               <td>&nbsp;</td>

               <%/* Show the delete and view buttons on the side.            */%>

               <%--
               <td align="left" valign="top">
                  <nobr><a href="javascript:handleDelete()">
                  <IMG src="<%= c.getModulesUrl() %>/NMAS/images/btnremove.gif" alt="<%= c.string("NMAS.DeleteLoginMethod") %>" title="<%= c.string("NMAS.DeleteLoginMethod") %>" border="0"></a>
                  <br>
                  <nobr><a href="javascript:handleModify( )">
                  <IMG src="<%= c.getModulesUrl() %>/NMAS/images/btnedit.gif" alt="<%= c.string("NMAS.EditLoginMethodProperties") %>" title="<%= c.string("NMAS.EditLoginMethodProperties") %>" border="0"></a></nobr>
               </td>
               --%>
            </tr>
          </table>
      </form>
      <br>

      <%/* Table of buttons.                                                 */%>

      <%--
      <table width="100%" border="0" cellspacing="0" cellpadding="3">
         <tr>
            <td class="ruleabove">
               <a href="javascript:handleCancel()"><img name="Cancel" alt="<%= c.string("Button.Cancel.alt") %>" src="<%= c.getModulesUrl() + "/dev/images/" + c.string("Button.Cancel.image") %>" border="0"></a>
            </td>
         </tr>
      </table>
      --%>

      <%/* Dummy form for holding hidden variables.                          */%>

      <%--
      <form name="LMDataForm" method="post" action="webacc">

         <% c.set("i", "0");
            while (c.lt(c.var("i"), c.var("AvailableMethods.length"))) { %>
            <input type="hidden" name="AvailableMethods.<%= c.var("i") %>.dn" value="<%= c.var("AvailableMethods."+c.var("i")+ ".dn") %>" />
            <input type="hidden" name="AvailableMethods.<%= c.var("i") %>.rdn" value="<%= c.var("AvailableMethods."+c.var("i")+ ".rdn") %>" />
            <input type="hidden" name="AvailableMethods.<%= c.var("i") %>.status" value="<%= c.var("AvailableMethods."+c.var("i")+ ".status") %>" />
            <% c.inc("i");
            } %>

      </form>
      --%>

      <%--
      <form name="LMModifyForm" method="post" action="webacc" onSubmit="return false">

         <input type="hidden" name="eDir$target" value="<%= c.var("eDir$target") %>" />
         <input type="hidden" name="initialPageId" value="NMAS.LoginMethodDescription" />
         <input type="hidden" name="error" value="dev.GenMsg" />
         <input type="hidden" name="nextState" value="initialState" />
         <input type="hidden" name="NPService" value="fw.LaunchService" />
         <input type="hidden" name="NPAction" value="Delegate" />
         <input type="hidden" name="delegate" value="NMAS.LoginMethodBook" />
         <input type="hidden" name="launcher" value="NMAS.LoginMethodConfiguration" />
         <input type="hidden" name="lifecycle" value="Recreate" />

      </form>
      --%>

      <%--
      <form name="CancelForm" method="post" action="webacc">

         <INPUT type="hidden" name="NPService" value="fw.LaunchService" />
         <INPUT type="hidden" name="NPAction" value="Return" />
         <INPUT type="hidden" name="returnID" value="NMAS.LoginMethodConfiguration" />

      </form>
      --%>

   </body>
</html>
<%
   }
   catch ( Exception e )
   {
      D.log( e );
%>
      Exception occured processing JSP page LMSelectFromList.jsp
<%
   }
%>
