<%/*------------------------------------------------------------------------ */
  /* %full_filespec:   PropertyPage_LoginMethod_EnhancedPswd_Exclusions.jsp~4:ascii:iman_plg#1 %                      */
  /* %derived_by:      ggoodwin %                                             */
  /* %date_modified:   Wed Apr 26 18:02:14 2006 %                            */
  /*------------------------------------------------------------------------ */
  /* Copyright (c) 2002 Novell, Inc.  All rights reserved.                   */
  /*------------------------------------------------------------------------ */%>

<%@ page   pageEncoding = "utf-8"                                        %>
<%@ page   contentType  = "text/html;charset=utf-8"                      %>
<%@ page   import       = "com.novell.emframe.dev.D"                     %>
<%@ page   import       = "com.novell.plugin.imanutil.HttpRequest"       %>
<%@ page   import       = "com.novell.admin.nmas.WidgetID"               %>
<%@ page   import       = "com.novell.plugin.imanutil.StringList"        %>
<%@ page   import       = "com.novell.plugin.imanutil.tags.Table"        %>
<%@ page   import       = "com.novell.plugin.imanutil.TableCellText"     %>
<%@ page   import       = "com.novell.plugin.imanutil.constants.UIConst" %>
<%@ page   import       = "com.novell.emframe.dev.eMFrameUtils"          %>
<%@ taglib uri          = "/WEB-INF/iman.tld"            prefix = "iman" %>
<%@ taglib uri          = "/WEB-INF/c.tld"               prefix = "c"    %>
<%@ taglib uri          = "/WEB-INF/util.tld"            prefix = "nmas" %>

<iman:stringtable bundle = "NMASResources" />
<iman:stringtable bundle = "DevResources"  />

<%
   try
   {
      HttpRequest httpRequest  = new HttpRequest( request );
      StringList  excludeList  = (StringList)httpRequest.getAttribute( WidgetID.EXCLUDE_LIST );

      Table data = new Table( excludeList.size(), 1 );

      for ( int i = 0; i < excludeList.size(); i++ )
      {
         data.setTableCell(
            i,
            0,
            new TableCellText( excludeList.getString( i ), excludeList.getString( i )));
      }
%>
<html>
   <head>
      <title></title>

      <nmas:stylesheet moduleName = "NMAS" />
      <iman:stylesheet />

      <iman:eMFrameScripts />
      <nmas:dataTableScripts />
      <nmas:utilScripts     moduleName = "NMAS" />

      <script language="JavaScript">
      <!--
         function onPageLoad()
         {
            utilPositionFooterDiv('headerDiv','bodyDiv','footerDiv');

            utilSetFooterButtons(
               window.okButton |
               window.applyButton |
               window.cancelButton );
         }

         function isDuplicateEntry( word )
         {
            var found = false;

            for ( var i = 0; i < excludeList_tableData.length; i++ )
            {
               if ( excludeList_tableData[ i ] == word )
               {
                  found = true;
               }
            }

            return found;
         }

         function okButtonPressed()
         {
            if ( !isDuplicateEntry( utilGetElementValue( "<%= WidgetID.EXCLUDE_WORD %>" )))
            {
               utilSetElementValue(
                  "<%= UIConst.PARAM_TASK_ACTION %>",
                  "<%= WidgetID.CREATE_NEW_EXCLUSION %>" );

               utilDisableDialogButtons( 'addExcludedWord' );

               utilSubmitDocumentForm( true );
            }
            else
            {
               alert( utilFormatString( "<iman:toScript><iman:string key = "NMAS.EnhandedPswdPolicy.AddExcludedWordDlg.DuplicateWord.Error" /></iman:toScript>", utilGetElementValue( "<%= WidgetID.EXCLUDE_WORD %>" ) ));
            }
         }

         function deleteWords( selectedIndices, tableData )
         {
            if ( null == selectedIndices || 0 == selectedIndices.length )
            {
               alert( "<iman:toScript><iman:string key = "NMAS.JavaScript.Error.NothingSelected" /></iman:toScript>" );
               return;
            }

            if ( confirm( "<iman:toScript><iman:string key = "NMAS.JavaScript.ConfirmDelete" /></iman:toScript>" ))
            {
               var dataArray = new Array();

               for ( var i = 0; i < selectedIndices.length; i++ )
               {
                  dataArray[ dataArray.length ] = tableData[ selectedIndices[ i ]][ 0 ];
               }

               utilSetElementValue(
                  "<%= UIConst.PARAM_TASK_ACTION%>",
                  "<%= WidgetID.DELETE_EXCLUSIONS %>" );

               utilSetElementValue(
                  "<%= UIConst.PARAM_DN_LIST %>",
                  pack( dataArray ));

               utilSubmitDocumentForm( false );
            }
         }

         function handleMenu( menuItemID, selectedIndices, tableData )
         {
            if ( menuItemID == "<%= WidgetID.CREATE_NEW_EXCLUSION %>" )
            {
               utilSetDialogButtons(
                  'addExcludedWord',
                  window.okButton |
                  window.cancelButton );

               utilActivateDialog ( 'addExcludedWord' );
               utilSetElementFocus( "<%= WidgetID.EXCLUDE_WORD %>" );
            }
            else if ( menuItemID == "<%= WidgetID.DELETE_EXCLUSIONS %>" )
            {
               deleteWords( selectedIndices, tableData );
            }
         }

         function handleDialogButton( dialogID, button )
         {
            if ( button == "<%= UIConst.CANCEL_BUTTON %>" ||
                 button == "<%= UIConst.CLOSE_BUTTON  %>" )
            {
               utilDeactivateDialog( dialogID );
            }
            else if ( button == "<%= UIConst.OK_BUTTON %>" )
            {
               okButtonPressed();
            }
         }

      //-->
      </script>
   </head>

   <body
      onResize = "utilPositionFooterDiv('headerDiv','bodyDiv','footerDiv')"
      onLoad   = "onPageLoad()"
      style    = "overflow: hidden" >

      <form name = "Form" method = "post" action = "webacc">

         <nmas:frameVars />
         <nmas:pageHeader >

            <nmas:dataTable
               sourceData        = "<%= data %>"
               menuActionHandler = "handleMenu"
               id                = "excludeList" >
               <nmas:columnHeader textKey = "NMAS.Common.Column_Header.Excluded_Word" />
               <nmas:menuItem id = "<%= WidgetID.CREATE_NEW_EXCLUSION %>" textKey = "NMAS.Common.Menu.New"    />
               <nmas:menuItem id = "<%= WidgetID.DELETE_EXCLUSIONS    %>" textKey = "NMAS.Common.Menu.Delete" disabled = "<%= 0 == data.getNumberOfRows() %>" />
            </nmas:dataTable>
         </nmas:pageHeader>

         <nmas:dialog
            id                  = "addExcludedWord"
            buttonActionHandler = "handleDialogButton"
            titleKey            = "NMAS.EnhandedPswdPolicy.AddExcludedWordDlg.Title"  >

               <table>
                  <tr>
                     <td>
                        <label>
                           <iman:string key = "NMAS.EnhandedPswdPolicy.AddExcludedWordDlg.Word.Label" />
                        </label>
                     </td>
                     <td>
                        <input
                           type  = "text"
                           name  = "<%= WidgetID.EXCLUDE_WORD %>"
                           id    = "<%= WidgetID.EXCLUDE_WORD %>"
                           size  = "50"
                           value = "" />
                     </td>
                  </tr>
               </table>

         </nmas:dialog>
      </form>
   </body>
</html>
<%
   }
   catch ( Exception e )
   {
      D.log( e );
%>
      Exception occured processing PropertyPage_LoginMethod_EnhancedPswd_Exclusions.jsp
<%
   }
%>

